package kafka.reactive.producerAvro.kafkareactiveproducerAvro;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import java.util.concurrent.CountDownLatch;
import java.util.concurrent.TimeUnit;

@SpringBootApplication
public class KafkaReactiveProducerAvroApplication {

	private static final String BOOTSTRAP_SERVERS = "localhost:9092";
	private static final String TOPIC = "topic-avro_1";

	
	public static void main(String[] args) throws Exception {
		SampleProducer producer = new SampleProducer();
		int count = 20;
		CountDownLatch latch = new CountDownLatch(count);
		producer.sendMessage(TOPIC, count, latch,message);
		latch.await(10, TimeUnit.SECONDS);
		producer.close();
		SpringApplication.run(KafkaReactiveProducerAvroApplication.class, args);


	}
}
